Bug 186820 - [NEW PORTS, UPDATE] Add CentOS 6.5 userland ports
Summary: [NEW PORTS, UPDATE] Add CentOS 6.5 userland ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Johannes Jost Meixner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-16 17:00 UTC by Johannes Meixner
Modified: 2014-09-22 11:14 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Meixner 2014-02-16 17:00:02 UTC
The attached patch adds the following ports to the FreeBSD portstree:

x11/linux-c6-xorg-libs
multimedia/linux-c6-libv4l
devel/linux-c6-nspr
devel/linux-c6-qt47
devel/linux-c6-dbus-libs
accessibility/linux-c6-atk
graphics/linux-c6-tiff
graphics/linux-c6-jpeg
graphics/linux-c6-dri
graphics/linux-c6-cairo
graphics/linux-c6-png
net/linux-c6-openldap
x11-fonts/linux-c6-fontconfig
x11-toolkits/linux-c6-pango
x11-toolkits/linux-c6-gtk2
x11-toolkits/linux-c6-qt47-x11
textproc/linux-c6-expat
emulators/linux_base-c6
www/linux-c6-qt47-webkit
www/linux-c6-flashplugin11
ftp/linux-c6-curl
databases/linux-c6-sqlite3
security/linux-c6-nss
security/linux-c6-openssl
security/linux-c6-libssh2
security/linux-c6-openssl-compat
security/linux-c6-cyrus-sasl2
audio/linux-c6-alsa-lib
audio/linux-c6-alsa-plugins-oss
net-im/skype4

Further, it adds support for using either the Fedora 10-derived userland or the
CentOS 6.5-derived Userland to Mk/ and hence lets the user choose in
/etc/make.conf which one to go with. I've updated all Fedora 10-ports as well to
take into account the Mk/ changes.

Fix: 

Patch exceeds the 100kb limit (180k), please find it at
http://xmj.me/freebsd/linux-ports.diff
How-To-Repeat: 
- apply patch to a clean portstree
- add the following to /etc/make.conf:
    OVERRIDE_LINUX_BASE_PORTS=c6
    OVERRIDE_LINUX_NONBASE_PORTS=c6
- load the following kernel modules:
    linux
    lindev
    linprocfs
    linsysfs
- mount /dev into /compat/linux/dev
- build net-im/skype4
Comment 1 Johannes Meixner 2014-03-20 09:16:56 UTC
As time has gone by, I've added all linux-f10- ports, more linux-c6- ports, 
and pretty much all ports that touch Mk/bsd.linux-apps.mk and/or directly depend
on linux infrastructure. 

Diff:       http://xmj.me/freebsd/linux-ports.diff.xz
Tar:        http://xmj.me/freebsd/linux-ports.txz
upstream:   https://github.com/xmj/linux-ports/

By now the changes in git affect about 236 ports. Whereever possible I've tried
to upstream changes by sending PRs to stage, improve Makefiles, make (broken)
packaging possible and generally cleanup things whereever necessary.

I'd love to see someone take this PR and help me get the changes in :-)

Best,
Johannes

-- 
xmj@chaot.net
http://xmj.me

On Sun, Feb 16, 2014 at 05:00:02PM +0000, FreeBSD-gnats-submit@FreeBSD.org wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/186820'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs. 
> 
> You can access the state of your problem report at any time
> via this link:
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=186820
> 
> >Category:       ports
> >Responsible:    freebsd-ports-bugs
> >Synopsis:       [NEW PORTS, UPDATE] Add CentOS 6.5 userland ports
> >Arrival-Date:   Sun Feb 16 17:00:02 UTC 2014
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2014-03-31 06:49:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-emulation

assign to mailing list for possible review.
Comment 3 Johannes Meixner 2014-03-31 09:31:37 UTC
By now the patch attached is outdated. I'll update on its URL once the results
of the ports/187786 exprun are in and I've fixed the bugs discovered.

Best,
-J

-- 
xmj@chaot.net
http://xmj.me

On Sun, Feb 16, 2014 at 05:00:02PM +0000, FreeBSD-gnats-submit@FreeBSD.org wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/186820'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs. 
> 
> You can access the state of your problem report at any time
> via this link:
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=186820
> 
> >Category:       ports
> >Responsible:    freebsd-ports-bugs
> >Synopsis:       [NEW PORTS, UPDATE] Add CentOS 6.5 userland ports
> >Arrival-Date:   Sun Feb 16 17:00:02 UTC 2014
Comment 4 Dom F 2014-08-03 10:14:08 UTC
Looks like Skype has barred old Linux versions <= 4.2 so I tried to install Skype 4.3. In doing so I had to install the following CentOS 6.5 RPMs that have not been converted to ports:

pulseaudio-libs-0.9.21-14.el6_3.i686.rpm
tcp_wrappers-libs-7.6-57.el6.i686.rpm
libsndfile-1.0.20-5.el6.i686.rpm
libasyncns-0.8-1.1.el6.i686.rpm
flac-1.2.1-6.1.el6.i686.rpm

I did create linux-c6-* ports for the above but I think you'd do a better job than me. There didn't seem to be much to do except edit Makefile, pkg-plist, etc. - so similar that there may be mileage in a generic CentOS RPM installer rather than building a port for each RPM?

(Not important to this PR but still can't get Skype 4.3 to sign in at this stage).
Comment 5 Alexander Shikov 2014-08-07 09:01:36 UTC
Hi!

Like Dom F, I also tried to use Skype 4.3 but without success. It connects, seems to be on-line, but does not pull contact list or search contacts.
Comment 6 Carlo Strub freebsd_committer 2014-08-31 17:18:31 UTC
Any news on this PR?
Comment 7 commit-hook freebsd_committer 2014-09-22 10:40:23 UTC
A commit references this bug:

Author: xmj
Date: Mon Sep 22 10:40:05 UTC 2014
New revision: 368845
URL: http://svnweb.freebsd.org/changeset/ports/368845

Log:
  Update CentOS base to 6.5, add userland ports

  The Fedora 10 infrastructure ports have been in use since June 2009 and, while
  having served a great deed, have become unsupported upstream and hence affected
  by unfixed security vulnerabilities. In addition to that, many recent Linux
  binaries need newer libc / stdlibc++ versions.

  This commit adds the linux-c6- userland as drop-in replacement for the -f10
  infrastructure, as well as upgrading the linux_base-c6 port to CentOS 6.5.

  If you want to switch to linux-c6 ports, please define at /etc/make.conf:

      OVERRIDE_LINUX_BASE_PORT=c6
      OVERRIDE_LINUX_NONBASE_PORTS=c6

  Additionally, please add the following line to /etc/sysctl.conf:

      compat.linux.osrelease=2.6.18

  Upgrading procedures are shown in /usr/ports/UPDATING.

  This work has been inspired by Artyom Mirgorodskiy's post to emulation@ in
  November 2013, using and extending mav@'s work. It has been tested extensively
  and most reported issues were already fixed. Please report any additional bug
  or "features" to the emulation mailing list.

  Many thanks to: mav@, rene@, allanjude@, netchild@, antoine@, everyone who's
  filed Issues and Pull requests on GitHub,

  PR:		186820
  Differential Revision:	https://reviews.freebsd.org/D793
  Reviewed by:	allanjude, antoine, bapt, rene
  Approved by:	portmgr (antoine, bapt)
  Approved by:	koobs (mentor)
  Sponsored by:	Perceivon Hosting Inc.

Changes:
  head/Mk/bsd.linux-apps.mk
  head/Mk/bsd.linux-rpm.mk
  head/Mk/bsd.port.mk
  head/Mk/bsd.sites.mk
  head/UPDATING
  head/accessibility/Makefile
  head/accessibility/linux-c6-atk/
  head/accessibility/linux-c6-atk/Makefile
  head/accessibility/linux-c6-atk/distinfo.i686
  head/accessibility/linux-c6-atk/pkg-descr
  head/accessibility/linux-c6-atk/pkg-plist
  head/accessibility/linux-f10-atk/Makefile
  head/archivers/linux-f10-ucl/Makefile
  head/archivers/linux-f10-upx/Makefile
  head/astro/google-earth/Makefile
  head/astro/google-earth/files/patch-bin-googleearth
  head/audio/Makefile
  head/audio/linux-c6-alsa-lib/
  head/audio/linux-c6-alsa-lib/Makefile
  head/audio/linux-c6-alsa-lib/distinfo.i686
  head/audio/linux-c6-alsa-lib/pkg-descr
  head/audio/linux-c6-alsa-lib/pkg-plist
  head/audio/linux-c6-alsa-plugins-oss/
  head/audio/linux-c6-alsa-plugins-oss/Makefile
  head/audio/linux-c6-alsa-plugins-oss/distinfo.i686
  head/audio/linux-c6-alsa-plugins-oss/files/
  head/audio/linux-c6-alsa-plugins-oss/files/patch-pcm-oss.conf
  head/audio/linux-c6-alsa-plugins-oss/pkg-deinstall
  head/audio/linux-c6-alsa-plugins-oss/pkg-descr
  head/audio/linux-c6-alsa-plugins-oss/pkg-install
  head/audio/linux-c6-alsa-plugins-oss/pkg-plist
  head/audio/linux-c6-alsa-plugins-pulseaudio/
  head/audio/linux-c6-alsa-plugins-pulseaudio/Makefile
  head/audio/linux-c6-alsa-plugins-pulseaudio/distinfo.i686
  head/audio/linux-c6-alsa-plugins-pulseaudio/pkg-descr
  head/audio/linux-c6-alsa-plugins-pulseaudio/pkg-plist
  head/audio/linux-c6-alsa-utils/
  head/audio/linux-c6-alsa-utils/Makefile
  head/audio/linux-c6-alsa-utils/distinfo.i686
  head/audio/linux-c6-alsa-utils/pkg-descr
  head/audio/linux-c6-alsa-utils/pkg-plist
  head/audio/linux-c6-arts/
  head/audio/linux-c6-arts/Makefile
  head/audio/linux-c6-arts/distinfo.i686
  head/audio/linux-c6-arts/pkg-descr
  head/audio/linux-c6-arts/pkg-plist
  head/audio/linux-c6-esound/
  head/audio/linux-c6-esound/Makefile
  head/audio/linux-c6-esound/distinfo.i686
  head/audio/linux-c6-esound/pkg-descr
  head/audio/linux-c6-flac/
  head/audio/linux-c6-flac/Makefile
  head/audio/linux-c6-flac/distinfo.i686
  head/audio/linux-c6-flac/pkg-plist
  head/audio/linux-c6-libaudiofile/
  head/audio/linux-c6-libaudiofile/Makefile
  head/audio/linux-c6-libaudiofile/distinfo.i686
  head/audio/linux-c6-libaudiofile/pkg-plist
  head/audio/linux-c6-libogg/
  head/audio/linux-c6-libogg/Makefile
  head/audio/linux-c6-libogg/distinfo.i686
  head/audio/linux-c6-libsndfile/
  head/audio/linux-c6-libsndfile/Makefile
  head/audio/linux-c6-libsndfile/distinfo.i686
  head/audio/linux-c6-libsndfile/pkg-plist
  head/audio/linux-c6-libvorbis/
  head/audio/linux-c6-libvorbis/Makefile
  head/audio/linux-c6-libvorbis/distinfo.i686
  head/audio/linux-c6-mikmod/
  head/audio/linux-c6-mikmod/Makefile
  head/audio/linux-c6-mikmod/distinfo.i686
  head/audio/linux-c6-nas-libs/
  head/audio/linux-c6-nas-libs/Makefile
  head/audio/linux-c6-nas-libs/distinfo.i386
  head/audio/linux-c6-nas-libs/distinfo.i686
  head/audio/linux-c6-nas-libs/pkg-plist
  head/audio/linux-c6-openal-soft/
  head/audio/linux-c6-openal-soft/Makefile
  head/audio/linux-c6-openal-soft/distinfo.i686
  head/audio/linux-c6-pulseaudio-libs/
  head/audio/linux-c6-pulseaudio-libs/Makefile
  head/audio/linux-c6-pulseaudio-libs/distinfo.i686
  head/audio/linux-c6-pulseaudio-libs/files/
  head/audio/linux-c6-pulseaudio-libs/files/patch-etc__pulse__client.conf
  head/audio/linux-c6-pulseaudio-libs/pkg-plist
  head/audio/linux-c6-pulseaudio-utils/
  head/audio/linux-c6-pulseaudio-utils/Makefile
  head/audio/linux-c6-pulseaudio-utils/distinfo.i686
  head/audio/linux-c6-pulseaudio-utils/pkg-plist
  head/audio/linux-c6-sdl_mixer/
  head/audio/linux-c6-sdl_mixer/Makefile
  head/audio/linux-c6-sdl_mixer/distinfo.i686
  head/audio/linux-f10-alsa-lib/Makefile
  head/audio/linux-f10-alsa-plugins-oss/Makefile
  head/audio/linux-f10-arts/Makefile
  head/audio/linux-f10-esound/Makefile
  head/audio/linux-f10-freealut/Makefile
  head/audio/linux-f10-libaudiofile/Makefile
  head/audio/linux-f10-libogg/Makefile
  head/audio/linux-f10-libvorbis/Makefile
  head/audio/linux-f10-mikmod/Makefile
  head/audio/linux-f10-nas-libs/Makefile
  head/audio/linux-f10-openal/Makefile
  head/audio/linux-f10-openal-soft/Makefile
  head/audio/linux-f10-pulseaudio-libs/Makefile
  head/audio/linux-f10-sdl_mixer/Makefile
  head/databases/Makefile
  head/databases/linux-c6-sqlite3/
  head/databases/linux-c6-sqlite3/Makefile
  head/databases/linux-c6-sqlite3/distinfo.i686
  head/databases/linux-f10-sqlite3/Makefile
  head/devel/Makefile
  head/devel/linux-c6-dbus-glib/
  head/devel/linux-c6-dbus-glib/Makefile
  head/devel/linux-c6-dbus-glib/distinfo.i686
  head/devel/linux-c6-dbus-libs/
  head/devel/linux-c6-dbus-libs/Makefile
  head/devel/linux-c6-dbus-libs/distinfo.i686
  head/devel/linux-c6-devtools/
  head/devel/linux-c6-devtools/Makefile
  head/devel/linux-c6-devtools/distinfo.i686
  head/devel/linux-c6-devtools/pkg-descr
  head/devel/linux-c6-devtools/pkg-plist
  head/devel/linux-c6-libglade2/
  head/devel/linux-c6-libglade2/Makefile
  head/devel/linux-c6-libglade2/distinfo.i686
  head/devel/linux-c6-libpciaccess/
  head/devel/linux-c6-libpciaccess/Makefile
  head/devel/linux-c6-libpciaccess/distinfo.i686
  head/devel/linux-c6-libpciaccess/pkg-descr
  head/devel/linux-c6-libpciaccess/pkg-plist
  head/devel/linux-c6-ncurses-base/
  head/devel/linux-c6-ncurses-base/Makefile
  head/devel/linux-c6-ncurses-base/distinfo.i686
  head/devel/linux-c6-ncurses-base/pkg-plist
  head/devel/linux-c6-nspr/
  head/devel/linux-c6-nspr/Makefile
  head/devel/linux-c6-nspr/distinfo.i686
  head/devel/linux-c6-qt47/
  head/devel/linux-c6-qt47/Makefile
  head/devel/linux-c6-qt47/distinfo.i386
  head/devel/linux-c6-qt47/pkg-descr
  head/devel/linux-c6-qt47/pkg-plist
  head/devel/linux-c6-sdl12/
  head/devel/linux-c6-sdl12/Makefile
  head/devel/linux-c6-sdl12/distinfo.i686
  head/devel/linux-f10-allegro/Makefile
  head/devel/linux-f10-dbus-glib/Makefile
  head/devel/linux-f10-dbus-libs/Makefile
  head/devel/linux-f10-devtools/Makefile
  head/devel/linux-f10-libglade2/Makefile
  head/devel/linux-f10-libsigc++20/Makefile
  head/devel/linux-f10-ncurses-base/Makefile
  head/devel/linux-f10-ncurses-base/pkg-plist
  head/devel/linux-f10-nspr/Makefile
  head/devel/linux-f10-sdl12/Makefile
  head/devel/linux_kdump/Makefile
  head/devel/linux_kdump/files/patch-Makefile
  head/devel/linux_kdump/files/patch-mkioctls.linux
  head/dns/Makefile
  head/dns/linux-c6-libasyncns/
  head/dns/linux-c6-libasyncns/Makefile
  head/dns/linux-c6-libasyncns/distinfo.i686
  head/dns/linux-c6-libasyncns/pkg-descr
  head/dns/linux-f10-libasyncns/Makefile
  head/editors/Makefile
  head/editors/sublime/
  head/editors/sublime/Makefile
  head/editors/sublime/distinfo
  head/editors/sublime/files/
  head/editors/sublime/files/patch-PackageSetup.py
  head/editors/sublime/files/sublime.in
  head/editors/sublime/pkg-descr
  head/editors/sublime/pkg-plist
  head/editors/sublime3/
  head/editors/sublime3/Makefile
  head/editors/sublime3/distinfo
  head/editors/sublime3/files/
  head/editors/sublime3/files/sublime.in
  head/editors/sublime3/pkg-descr
  head/editors/sublime3/pkg-plist
  head/emulators/Makefile
  head/emulators/linux-c6/
  head/emulators/linux-c6/Makefile
  head/emulators/linux-c6/pkg-descr
  head/emulators/linux-c6/pkg-plist
  head/emulators/linux-f10/
  head/emulators/linux-f10/Makefile
  head/emulators/linux-f10/pkg-descr
  head/emulators/linux_base-c6/Makefile
  head/emulators/linux_base-c6/distinfo.i686
  head/emulators/linux_base-c6/pkg-plist
  head/emulators/linux_base-f10/Makefile
  head/emulators/linux_base-f10/distinfo.i386
  head/emulators/linux_base-f10/pkg-plist
  head/ftp/Makefile
  head/ftp/linux-c6-curl/
  head/ftp/linux-c6-curl/Makefile
  head/ftp/linux-c6-curl/distinfo.i686
  head/ftp/linux-c6-curl/pkg-descr
  head/ftp/linux-f10-curl/Makefile
  head/graphics/Makefile
  head/graphics/linux-c6-cairo/
  head/graphics/linux-c6-cairo/Makefile
  head/graphics/linux-c6-cairo/distinfo.i686
  head/graphics/linux-c6-cairo/pkg-descr
  head/graphics/linux-c6-dri/
  head/graphics/linux-c6-dri/Makefile
  head/graphics/linux-c6-dri/distinfo.i686
  head/graphics/linux-c6-dri/pkg-descr
  head/graphics/linux-c6-dri/pkg-plist
  head/graphics/linux-c6-dri-compat/
  head/graphics/linux-c6-dri-compat/Makefile
  head/graphics/linux-c6-dri-compat/distinfo.i686
  head/graphics/linux-c6-dri-compat/pkg-descr
  head/graphics/linux-c6-dri-compat/pkg-plist
  head/graphics/linux-c6-jpeg/
  head/graphics/linux-c6-jpeg/Makefile
  head/graphics/linux-c6-jpeg/distinfo.i686
  head/graphics/linux-c6-jpeg/pkg-plist
  head/graphics/linux-c6-png/
  head/graphics/linux-c6-png/Makefile
  head/graphics/linux-c6-png/distinfo.i686
  head/graphics/linux-c6-sdl_image/
  head/graphics/linux-c6-sdl_image/Makefile
  head/graphics/linux-c6-sdl_image/distinfo.i386
  head/graphics/linux-c6-sdl_image/distinfo.i686
  head/graphics/linux-c6-sdl_ttf/
  head/graphics/linux-c6-sdl_ttf/Makefile
  head/graphics/linux-c6-sdl_ttf/distinfo.i386
  head/graphics/linux-c6-sdl_ttf/distinfo.i686
  head/graphics/linux-c6-tiff/
  head/graphics/linux-c6-tiff/Makefile
  head/graphics/linux-c6-tiff/distinfo.i686
  head/graphics/linux-c6-tiff/pkg-plist
  head/graphics/linux-f10-cairo/Makefile
  head/graphics/linux-f10-dri/Makefile
  head/graphics/linux-f10-gdk-pixbuf/Makefile
  head/graphics/linux-f10-glew/Makefile
  head/graphics/linux-f10-imlib/Makefile
  head/graphics/linux-f10-jpeg/Makefile
  head/graphics/linux-f10-libGLU/Makefile
  head/graphics/linux-f10-libmng/Makefile
  head/graphics/linux-f10-png/Makefile
  head/graphics/linux-f10-sdl_image/Makefile
  head/graphics/linux-f10-sdl_ttf/
  head/graphics/linux-f10-sdl_ttf/Makefile
  head/graphics/linux-f10-sdl_ttf/distinfo.i386
  head/graphics/linux-f10-sdl_ttf/pkg-descr
  head/graphics/linux-f10-sdl_ttf/pkg-plist
  head/graphics/linux-f10-tiff/Makefile
  head/graphics/linux-f10-ungif/Makefile
  head/graphics/linux-sdl_ttf/
  head/lang/Makefile
  head/lang/linux-c6-tcl85/
  head/lang/linux-c6-tcl85/Makefile
  head/lang/linux-c6-tcl85/distinfo.i686
  head/lang/linux-c6-tcl85/pkg-plist
  head/lang/linux-f10-libg2c/Makefile
  head/lang/linux-f10-tcl85/Makefile
  head/math/matlab-installer/Makefile
  head/multimedia/Makefile
  head/multimedia/linux-c6-libtheora/
  head/multimedia/linux-c6-libtheora/Makefile
  head/multimedia/linux-c6-libtheora/distinfo.i686
  head/multimedia/linux-c6-libv4l/
  head/multimedia/linux-c6-libv4l/Makefile
  head/multimedia/linux-c6-libv4l/distinfo.i686
  head/multimedia/linux-c6-libv4l/pkg-descr
  head/multimedia/linux-c6-libv4l/pkg-plist
  head/multimedia/linux-f10-libtheora/Makefile
  head/multimedia/linux-f10-libv4l/Makefile
  head/net/Makefile
  head/net/linux-c6-openldap/
  head/net/linux-c6-openldap/Makefile
  head/net/linux-c6-openldap/distinfo.i686
  head/net/linux-c6-tcp_wrappers-libs/
  head/net/linux-c6-tcp_wrappers-libs/Makefile
  head/net/linux-c6-tcp_wrappers-libs/distinfo.i686
  head/net/linux-c6-tcp_wrappers-libs/pkg-descr
  head/net/linux-c6-tcp_wrappers-libs/pkg-plist
  head/net/linux-f10-nss_ldap/Makefile
  head/net/linux-f10-openldap/Makefile
  head/net-im/Makefile
  head/net-im/skype4/
  head/net-im/skype4/Makefile
  head/net-im/skype4/distinfo
  head/net-im/skype4/files/
  head/net-im/skype4/files/skype.sh.in
  head/net-im/skype4/pkg-descr
  head/net-im/skype4/pkg-message
  head/net-im/skype4/pkg-plist
  head/print/Makefile
  head/print/linux-c6-cups-libs/
  head/print/linux-c6-cups-libs/Makefile
  head/print/linux-c6-cups-libs/distinfo.i386
  head/print/linux-c6-cups-libs/distinfo.i686
  head/print/linux-f10-cups-libs/Makefile
  head/security/Makefile
  head/security/linux-c6-cyrus-sasl2/
  head/security/linux-c6-cyrus-sasl2/Makefile
  head/security/linux-c6-cyrus-sasl2/distinfo.i686
  head/security/linux-c6-gnutls/
  head/security/linux-c6-gnutls/Makefile
  head/security/linux-c6-gnutls/distinfo.i386
  head/security/linux-c6-gnutls/distinfo.i686
  head/security/linux-c6-gnutls/pkg-plist
  head/security/linux-c6-libgcrypt/
  head/security/linux-c6-libgcrypt/Makefile
  head/security/linux-c6-libgcrypt/distinfo.i686
  head/security/linux-c6-libgpg-error/
  head/security/linux-c6-libgpg-error/Makefile
  head/security/linux-c6-libgpg-error/distinfo.i686
  head/security/linux-c6-libgpg-error/pkg-plist
  head/security/linux-c6-libssh2/
  head/security/linux-c6-libssh2/Makefile
  head/security/linux-c6-libssh2/distinfo.i686
  head/security/linux-c6-libtasn1/
  head/security/linux-c6-libtasn1/Makefile
  head/security/linux-c6-libtasn1/distinfo.i386
  head/security/linux-c6-libtasn1/distinfo.i686
  head/security/linux-c6-nss/
  head/security/linux-c6-nss/Makefile
  head/security/linux-c6-nss/distinfo.i686
  head/security/linux-c6-nss/pkg-plist
  head/security/linux-c6-openssl/
  head/security/linux-c6-openssl/Makefile
  head/security/linux-c6-openssl/distinfo.i686
  head/security/linux-c6-openssl/pkg-plist
  head/security/linux-c6-openssl-compat/
  head/security/linux-c6-openssl-compat/Makefile
  head/security/linux-c6-openssl-compat/distinfo.i686
  head/security/linux-c6-openssl-compat/pkg-descr
  head/security/linux-c6-openssl-compat/pkg-plist
  head/security/linux-f10-cyrus-sasl2/Makefile
  head/security/linux-f10-gnutls/Makefile
  head/security/linux-f10-libgcrypt/Makefile
  head/security/linux-f10-libgpg-error/Makefile
  head/security/linux-f10-libssh2/Makefile
  head/security/linux-f10-libtasn1/Makefile
  head/security/linux-f10-nss/Makefile
  head/security/linux-f10-openssl/Makefile
  head/sysutils/linux-f10-procps/Makefile
  head/textproc/Makefile
  head/textproc/linux-c6-aspell/
  head/textproc/linux-c6-aspell/Makefile
  head/textproc/linux-c6-aspell/distinfo.i686
  head/textproc/linux-c6-aspell/pkg-descr
  head/textproc/linux-c6-aspell/pkg-plist
  head/textproc/linux-c6-expat/
  head/textproc/linux-c6-expat/Makefile
  head/textproc/linux-c6-expat/distinfo.i686
  head/textproc/linux-c6-libxml2/
  head/textproc/linux-c6-libxml2/Makefile
  head/textproc/linux-c6-libxml2/distinfo.i686
  head/textproc/linux-f10-aspell/Makefile
  head/textproc/linux-f10-expat/Makefile
  head/textproc/linux-f10-libxml2/Makefile
  head/textproc/linux-f10-scim-gtk/Makefile
  head/textproc/linux-f10-scim-libs/Makefile
  head/www/Makefile
  head/www/linux-c6-flashplugin11/
  head/www/linux-c6-flashplugin11/Makefile
  head/www/linux-c6-flashplugin11/distinfo
  head/www/linux-c6-flashplugin11/pkg-descr
  head/www/linux-c6-flashplugin11/pkg-message
  head/www/linux-c6-flashplugin11/pkg-plist
  head/www/linux-c6-qt47-webkit/
  head/www/linux-c6-qt47-webkit/Makefile
  head/www/linux-c6-qt47-webkit/distinfo.i386
  head/www/linux-c6-qt47-webkit/pkg-descr
  head/www/linux-c6-qt47-webkit/pkg-plist
  head/www/linux-f10-flashplugin11/Makefile
  head/www/linux-seamonkey/Makefile.common
  head/www/nspluginwrapper/Makefile
  head/www/nspluginwrapper/files/patch-src__npw-config.c
  head/x11/Makefile
  head/x11/linux-c6-xorg-libs/
  head/x11/linux-c6-xorg-libs/Makefile
  head/x11/linux-c6-xorg-libs/distinfo.i686
  head/x11/linux-c6-xorg-libs/files/
  head/x11/linux-c6-xorg-libs/pkg-descr
  head/x11/linux-c6-xorg-libs/pkg-plist
  head/x11/linux-f10-xorg-libs/Makefile
  head/x11/linux-f10-xorg-libs/pkg-plist
  head/x11-fonts/Makefile
  head/x11-fonts/linux-c6-fontconfig/
  head/x11-fonts/linux-c6-fontconfig/Makefile
  head/x11-fonts/linux-c6-fontconfig/distinfo.i686
  head/x11-fonts/linux-c6-fontconfig/pkg-descr
  head/x11-fonts/linux-c6-fontconfig/pkg-plist
  head/x11-fonts/linux-f10-fontconfig/Makefile
  head/x11-themes/Makefile
  head/x11-themes/linux-c6-hicolor-icon-theme/
  head/x11-themes/linux-c6-hicolor-icon-theme/Makefile
  head/x11-themes/linux-c6-hicolor-icon-theme/pkg-descr
  head/x11-themes/linux-f10-hicolor-icon-theme/Makefile
  head/x11-themes/linux-f10-qtcurve-gtk2/Makefile
  head/x11-toolkits/Makefile
  head/x11-toolkits/linux-c6-gtk2/
  head/x11-toolkits/linux-c6-gtk2/Makefile
  head/x11-toolkits/linux-c6-gtk2/distinfo.i686
  head/x11-toolkits/linux-c6-gtk2/pkg-plist
  head/x11-toolkits/linux-c6-openmotif/
  head/x11-toolkits/linux-c6-openmotif/Makefile
  head/x11-toolkits/linux-c6-openmotif/distinfo.i686
  head/x11-toolkits/linux-c6-openmotif/pkg-descr
  head/x11-toolkits/linux-c6-openmotif/pkg-plist
  head/x11-toolkits/linux-c6-pango/
  head/x11-toolkits/linux-c6-pango/Makefile
  head/x11-toolkits/linux-c6-pango/distinfo.i686
  head/x11-toolkits/linux-c6-pango/pkg-plist
  head/x11-toolkits/linux-c6-qt47-x11/
  head/x11-toolkits/linux-c6-qt47-x11/Makefile
  head/x11-toolkits/linux-c6-qt47-x11/distinfo.i386
  head/x11-toolkits/linux-c6-qt47-x11/pkg-plist
  head/x11-toolkits/linux-c6-tk85/
  head/x11-toolkits/linux-c6-tk85/Makefile
  head/x11-toolkits/linux-c6-tk85/distinfo.i686
  head/x11-toolkits/linux-c6-tk85/pkg-plist
  head/x11-toolkits/linux-f10-blt/Makefile
  head/x11-toolkits/linux-f10-gtk2/Makefile
  head/x11-toolkits/linux-f10-openmotif/Makefile
  head/x11-toolkits/linux-f10-openmotif/distinfo.i386
  head/x11-toolkits/linux-f10-pango/Makefile
  head/x11-toolkits/linux-f10-qt45/Makefile
  head/x11-toolkits/linux-f10-qt45/pkg-plist.i386
  head/x11-toolkits/linux-f10-tk85/Makefile